Taslak Nokta

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Point and the translation is 79% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft BSpline.svg BSpline

Draft Point.svg Nokta

Menü konumu
Taslak → Nokta
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
P T
Versiyonda tanıtıldı
0.17
Ayrıca bkz
Çizgi, Tel


Tanım

Nokta aracı, geçerli Çalışma düzlemi içinde basit bir nokta yaratır, daha sonra başka nesnelerin yerleştirilmesi için referans olarak kullanılmaya elverişlidir. Taslak Tepsi 'de ayarlanan Çizgi stili ayarlarını alır.

Draft point example.jpg

A single point placed on the working plane


Nasıl Kullanılır

  1. Draft Point.png Nokta tuşuna veya P basın ardından T basın.
  2. 3D görünümünde bir noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın.

Seçenekler

  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Draft AddPoint.svg Nokta ekle düğmesine basabilirsiniz.
  • Devam moduna geçmek için T tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, nokta aracı siz bir noktaya yerleştirdikten sonra yeniden başlatılır ve araç düğmesine tekrar basmadan bir tane daha yerleştirmenizi sağlar.
  • Geçerli komutu iptal etmek için Esc veya Close düğmesine basınız.

Özellikler

  • VERİX: Noktanın X koordinatı
  • VERİY: Noktanın Y koordinatı
  • VERİZ: Noktanın Z koordinatı

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Nokta aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

Point = makePoint(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
Point = makePoint(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • Belirtilen X, Y ve Z koordinatlarında, birimler milimetre cinsinden bir Point nesnesi oluşturur. Eğer koordinat verilmezse, başlangıç noktasında nokta oluşturulur (0,0,0). *
  • Eğer X bir FreeCAD.Vector tarafından tanımlanan bir point ise, kullanılır.
  • color, (R, G, B) bir skaladır; nokta, RGB ölçeğindeki noktanın rengini gösterir; Bağlantıdaki her değer, 0 ila 1 aralığında olmalıdır.
  • name, nesnenin adıdır.
  • point_size, grafiksel kullanıcı arayüzü yüklendiğinde nesnenin piksel cinsinden boyutudur.

Örnek:

import random, FreeCAD, Draft

Point1 = Draft.makePoint(1600, 1400, 0)

p2 = FreeCAD.Vector(-3200, 1800, 0)
Point2 = Draft.makePoint(p2, color=(0.5, 0.3, 0.6), point_size=10)

# Make a loop and create ten points with random coordinates that extend
# from -L to L on both X and Y. Also choose a random color and size.

# Change value to define the area covered by the points
L = 1000
centered = FreeCAD.Placement(FreeCAD.Vector(-L,-L,0), FreeCAD.Rotation())
Rectangle = Draft.makeRectangle(2*L, 2*L, placement=centered)

for i in range(10):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.makePoint(x, y, z, color=(r, g, b), point_size=size)